[Overview][Types][Classes][Index] | Reference for unit 'PropertyStorage' (#lcl)

# TStoredValue.KeyString

XOR encoding key, empty for encoding is not used.

## Declaration

Source position: propertystorage.pas line 59

`published property TStoredValue.KeyString : string read FKeyString write FKeyString;`

## Description

KeyString is a String property which contains the key used to XOR encode/decode the Value for the collection item. XOR encoding is performed in the Save method when the collection item is written to the storage container for the collection. XOR decoding is performed in the Restore method when the value is read from the storage container. XOR encoding/decoding is not performed when KeyString is an empty string ('').